1. Resource Bookings
Leadcast Public Api
  • Getting Started
  • Changelog
  • Companies
    • Query all companies
      GET
    • Retrieve a single company
      GET
    • Retrieve job offers for a company
      GET
  • Employees
    • Query all employees
      GET
    • Retrieve a single employee
      GET
    • Retrieve bookings for an employee
      GET
    • Retrieve funnels for an employee
      GET
  • Job Offers
    • Query all job offers
      GET
    • Create
      POST
    • Retrieve a single job offer
      GET
    • Retrieve bookings for a job offer
      GET
    • Retrieve funnels for a job offer
      GET
  • Job Offer Submissions
    • Query all job offer submissions
      GET
    • Retrieve a single job offer submission
      GET
    • Retrieve bookings for a job offer submission
      GET
  • Mapping
    • Maps resources to an external id
      PUT
  • Resource Bookings
    • Query all resource bookings
      GET
    • Retrieve a single resource booking
      GET
  • Schemas
    • Candidate
    • JobOffer
    • CompanyReference
    • ProblemDetails
    • Employee
    • CompanyReference2
    • CompanyReference3
    • Gender
    • EmployeeReference
    • CompanyReference4
    • JobOfferReference
    • JobOfferSubmission
    • CompanyReference5
    • KeysetPagedResultOfEmployee
    • KeysetPagedResultOfJobOffer
    • File
    • JobOfferReference2
    • KeysetPagedResultOfJobOfferSubmission
    • EmployeeReference2
    • JobOfferSubmissionReference
    • MapResourceRequest
    • JobOfferSubmissionStatusDate
    • User
    • JobOfferCandidateFeedback
    • JobOfferCandidateFeedbackOption
    • KeysetPagedResultOfResourceBooking
    • KeysetPagedResultOfCompany
    • ResourceBooking
    • ResourceRequirement
    • JobOfferReference3
    • KeysetPagedResultOfJobOfferFunnel
    • SyncEntry
    • UserReference
    • UserReference2
    • Company
    • Member
  1. Resource Bookings

Retrieve a single resource booking

GET
{{baseUrl}}/api/public/resource-bookings/{id}
Retrieve a single resource booking using the unique identifier.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://demo.leadcast.nl/api/public/resource-bookings/?culture' \
--header 'Accept-Language;' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
application/json
OK
Body

Example
{
    "resourceRequirement": {
        "function": "string",
        "hourlyRate": 0,
        "hoursPerWeek": 0,
        "totalHours": 0,
        "hoursOpen": 0,
        "hoursBooked": 0,
        "isClosed": true,
        "jobOffer": {
            "title": "string",
            "internalReference": "string",
            "externalReference": "string",
            "company": {
                "name": "string",
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external": {
                    "property1": "string",
                    "property2": "string"
                },
                "customFields": {}
            },
            "invoiceCompany": {
                "name": "string",
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external": {
                    "property1": "string",
                    "property2": "string"
                },
                "customFields": {}
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "jobOfferSubmission": {
            "status": "string",
            "internalReference": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        },
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external": {
            "property1": "string",
            "property2": "string"
        },
        "customFields": {}
    },
    "employee": {
        "type": "string",
        "fullName": "string",
        "workingHours": 0,
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external": {
            "property1": "string",
            "property2": "string"
        },
        "customFields": {}
    },
    "createdOn": "2019-08-24T14:15:22.123Z",
    "modifiedOn": "2019-08-24T14:15:22.123Z",
    "type": "string",
    "customTypeDescription": "string",
    "startDate": "2019-08-24T14:15:22.123Z",
    "endDate": "2019-08-24T14:15:22.123Z",
    "startDateFirstBooking": "2019-08-24T14:15:22.123Z",
    "endDateLastBooking": "2019-08-24T14:15:22.123Z",
    "desiredEndDate": "2019-08-24T14:15:22.123Z",
    "isClosed": true,
    "description": "string",
    "otherBookingCount": 0,
    "totalHours": 0,
    "patternType": "string",
    "patternData": null,
    "hourlyRate": 0,
    "allowExtension": true,
    "extensionComment": "string",
    "kickbackFee": 0,
    "portalFee": 0,
    "internalHourlyRate": 0,
    "marginAbsolute": 0,
    "marginRelative": 0,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "external": {
        "property1": "string",
        "property2": "string"
    },
    "customFields": {}
}
🟠400Bad Request
🟠404Not Found
🔴500Internal Server Error
Modified at 2026-03-11 23:20:04
Previous
Query all resource bookings
Next
Candidate
Built with